#include <iostream>

using namespace std;

int main()
{
    int n,m,w = 2, r = 3;
    cin>> n >> m;
    int odgovori[m];
    for(int i = 0; i < m; i++)
    {
        odgovori[i] = 0;
    }
    int du[n][w],du2[m][r];
    for(int i = 0; i < n; i++)
    {
        for(int k = 0; k < 2; k++)
        {
            cin>> du[i][k];
        }
    }
    for(int i = 0; i < m; i++)
    {
        for(int k = 0; k < 3; k++)
        {
            cin>> du2[i][k];
        }
    }
    for (int i = 0; i <= m; i++)
    {
        for (int k = du2[i][0]; k <= du2[i][1];k++)
        {
            if(du[k-1][0] <= du2[i][2] && du[k-1][1] >= du2[i][2])
            {
                odgovori[i]++;
            }
        }
    }
    for(int i = 0; i < m; i++)
    {
        cout << odgovori [i]<<endl;
    }
    return 0;
}